megwolf.com requires Macromedia Flash.

Meg has detected that you are not running the latest version of Flash. How has she done this? Well, as well as being a scintillating personality, a caring human being, a phenomenal actress and an all 'round good egg, she has, er, lackies working on her website for her that can detect these things.
So, you can either wave at the new media revolution as it passes you by or you can....

Get Macromedia Flash 9.0!